Debian Bug report logs - #373928
RM: cvsreport -- RoQA; orphaned; low popcon; abandonned upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Rafael Laboissiere <rafael@debian.org>

Date: Fri, 16 Jun 2006 11:48:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Caron <zerodeux@gnu.org>, <wnpp@debian.org>:
Bug#373928; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@debian.org>:
New Bug report received and forwarded. Copy sent to Vincent Caron <zerodeux@gnu.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: cvsreport -- extract activity reports from a CVS repository
Date: Fri, 16 Jun 2006 13:41:03 +0200
Package: wnpp
Severity: normal

I am orphaning the cvsreport package for several reasons.  First, I
completely switched form CVS to SVN and my motivation for maintaining
CVS-releated packages dropped to zero.  Second, the only project where I
needed cvsreport up to now (PLplot, see www.plplot.org) is not using this
tool anymore.  Third, the upstream development slowed so much down that
it seems the project is dead.

I just uploaded a new version of the package bumping the
Standards-Version to 3.7.2 and containing a fix for the
Build-Depends-Indep problem (see
http://lists.debian.org/debian-devel/2006/06/msg00684.html).  

The Debian-related files are maintained through CVS at GNA.org (see
http://gna.org/projects/cvsreport).  Anyone considering the adoption of
this package should contact Vincent Caron <zerodeux --AT-- gnu --DOT--
org> if interested in joining the cvsreport development team and
maintaining the Debian-related files in the CVS repository at GNA.org.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.8-1-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#373928; Package wnpp. (Thu, 23 Jul 2009 11:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 23 Jul 2009 11:18:07 GMT) Full text and rfc822 format available.

Message #10 received at 373928@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 373928@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#373928: O: cvsreport -- extract activity reports from a CVS repository
Date: Thu, 23 Jul 2009 13:08:41 +0200
reassign 373928 ftp.debian.org
retitle 373928 RM: cvsreport -- RoQA; orphaned; low popcon; abandonned upstream
thanks
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Thu, 23 Jul 2009 11:18:20 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: cvsreport -- RoQA; orphaned; low popcon; abandonned upstream' from `O: cvsreport -- extract activity reports from a CVS repository'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Thu, 23 Jul 2009 11:18:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#373928; Package ftp.debian.org. (Fri, 24 Jul 2009 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Caron <vincent@zerodeux.net>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 24 Jul 2009 12:48:03 GMT) Full text and rfc822 format available.

Message #19 received at 373928@bugs.debian.org (full text, mbox):

From: Vincent Caron <vincent@zerodeux.net>
To: WNPP Monitor <lucas@debian.org>
Cc: cvsreport@packages.qa.debian.org, 373928@bugs.debian.org
Subject: Re: [wnpp] removal of cvsreport has been requested!
Date: Fri, 24 Jul 2009 14:46:02 +0200
On Fri, 2009-07-24 at 00:04 +0000, WNPP Monitor wrote:
> The removal of the cvsreport package in Debian has been requested.
> 
> For more information, please read
> <http://bugs.debian.org/373928>

  As the upstream author, I can confirm it has not been updated for 5
years. I don't know how many people still use this, but I know it still
works. I admit I barely use CVS these days...

  What would be needed to keep this package in ? New maintainership ?
I'd be interested as I've been doing internal packaging for a while in
my company, maybe it's time I take the extra burden to really apply for
DD...

  BTW, bad timing: I'm on vacations for 3 weeks starting in a few hours.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#373928; Package ftp.debian.org. (Fri, 24 Jul 2009 13:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 24 Jul 2009 13:36:02 GMT) Full text and rfc822 format available.

Message #24 received at 373928@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Vincent Caron <vincent@zerodeux.net>
Cc: 373928@bugs.debian.org
Subject: Re: [wnpp] removal of cvsreport has been requested!
Date: Fri, 24 Jul 2009 15:26:25 +0200
On 24/07/09 at 14:46 +0200, Vincent Caron wrote:
> On Fri, 2009-07-24 at 00:04 +0000, WNPP Monitor wrote:
> > The removal of the cvsreport package in Debian has been requested.
> > 
> > For more information, please read
> > <http://bugs.debian.org/373928>
> 
>   As the upstream author, I can confirm it has not been updated for 5
> years. I don't know how many people still use this, but I know it still
> works. I admit I barely use CVS these days...
> 
>   What would be needed to keep this package in ? New maintainership ?
> I'd be interested as I've been doing internal packaging for a while in
> my company, maybe it's time I take the extra burden to really apply for
> DD...
> 
>   BTW, bad timing: I'm on vacations for 3 weeks starting in a few hours.

Hi Vincent,

Yes, it would need someone to step in as a maintainer. You don't need to
be a DD for that, you would just need to find a sponsor when you need to
upload a new version.

If you want to do that, please send the following to
control@bugs.debian.org, Ccing 373928@bugs.debian.org:

reassign 373928 wnpp
retitle 373928 ITA: cvsreport -- extract activity reports from a CVS repository
owner 373928 !
thanks

it will indicate that you Intent To Adopt cvsreport.

However, since not so many people use CVS those days, and nobody has
shown interest in maintaining it over the last 3 years, maybe it would
be better to let it go?
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 25 Jul 2009 11:18:24 GMT) Full text and rfc822 format available.

Notification sent to Rafael Laboissiere <rafael@debian.org>:
Bug acknowledged by developer. (Sat, 25 Jul 2009 11:18:24 GMT) Full text and rfc822 format available.

Message #29 received at 373928-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 373928-close@bugs.debian.org
Cc: cvsreport@packages.debian.org, cvsreport@packages.qa.debian.org
Subject: Bug#373928: fixed
Date: Sat, 25 Jul 2009 10:57:31 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 cvsreport | 0.3.5.cvs.20050222-3 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 373928@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/373928

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Mark Hymers (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Aug 2009 07:34:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:36:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.